## zsh 5.5.1

=== debian/changelog ===
zsh (5.5.1-1ubuntu3) disco; urgency=medium

  * Cherrypick upstream patch to fix A05execution.ztst test case. Resolves
    autopkgtest failure.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Apr 2019 12:30:21 +0100

zsh (5.5.1-1ubuntu2) cosmic; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution
    - debian/patches/CVE-2018-0502-and-CVE-2018-13259.patch:
      fix in Src/exec.c and add test Test/A05execution.ztst.
    - CVE-2018-0502
    - CVE-2018-13259

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 12 Sep 2018 10:22:39 -0300

zsh (5.5.1-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/zshrc: Enable completions by default, unless skip_global_compinit
      is set.
    - Support cross-compiling:
      - Adjust upstream autoconf cross-compile default fallbacks.
      - Skip zcompile when cross-compiling.
      - Add libelf-dev dependency.
  * Dropped all the CVE patches; applied upstream.
  * Drop upstream changelog link; broken symlink since we don't install it

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 May 2018 17:45:03 +0200

zsh (5.5.1-1) unstable; urgency=medium

  * [03fcdd08] Import new upstream bugfix release.
    + [517cda38] Fixes GLOB_DOTS for !RM_STAR_SILENT (Closes: #875460)
  * [b83399fc] Retroactively mention #891140 in the debian/changelog
    entries of 5.4.2-test-2-1 and 5.5-1.

 -- Axel Beckert <abe@debian.org>  Tue, 17 Apr 2018 03:36:13 +0200

zsh (5.5-1) unstable; urgency=medium

  [ Axel Beckert ]
  * [fe36c1ad] Import new upstream release.
    + [31f72205] CVE-2018-1100: check bounds on buffer in mail
      checking. (Closes: #895225)
    + [bfff8deb] "apt install" completion now also completes *.changes
      and *.dsc files alongside *.deb. (Fine-tuning of #891140 fix)

  [ Sven Joachim ]
  * [1521c7d0] Handle /usr/local/share/zsh with dh_usrlocal.
    (Closes: #895153)

 -- Axel Beckert <abe@debian.org>  Mon, 09 Apr 2018 01:17:56 +0200

zsh (5.4.2-test-2-1) experimental; urgency=low

  * [6e1ab9aa] Import new release candidate for upcoming 5.5 release.
    + [37353844] 41943: Completion: add --clean for vim (Closes: #879187)
    + [b54a7e55] Drop cherry-picked patches for CVE-2018-1071 and
      CVE-2018-1083.
    + [f1a52c23] Makes completion after "apt install" work on local .deb
      files. (Closes: #891140)

 -- Axel Beckert <abe@debian.org>  Sat, 07 Apr 2018 15:44:43 +0200

zsh (5.4.2-4) unstable; urgency=medium

  * [d49689fe] Cherry-pick upstream patches to fix:
    + CVE-2018-1071 (Check bounds when copying path in "hashcmd()".
      Closes: #894044)
    + CVE-2018-1083 (Check bounds on PATH_MAX-sized buffer used for file
      completion candidates. Closes: #894043)
  * [01004557] Drop zsh-static lintian override for no more emitted tag.
  * [5c603baa] Update Vcs-* headers for move to Salsa.
  * [35768486] Declare compliance with Debian Policy 4.1.4. (No other
    changes were required.)

 -- Axel Beckert <abe@debian.org>  Sat, 07 Apr 2018 03:50:13 +0200

zsh (5.4.2-3ubuntu4) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:21:47 +0000
