=== debian/control ===
Source: zsh
Section: shells
Priority: optional
Build-Depends: bsdmainutils,
               cm-super-minimal,
               debhelper-compat (= 12),
               dpkg-dev (>= 1.16.2~),
               ghostscript,
               groff,
               groff-base,
               libcap-dev [linux-any],
               libncursesw5-dev,
               libpcre3-dev,
               texinfo (>= 5~),
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-recommended,
               yodl (>= 3.08.01) | yodl (<< 3.08.00)
Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
Uploaders: Michael Prokop <mika@debian.org>,
           Axel Beckert <abe@debian.org>,
           Frank Terbeck <ft@bewatermyfriend.org>,
           Richard Hartmann <richih@debian.org>
Standards-Version: 4.3.0
Homepage: https://www.zsh.org/
Vcs-Git: https://salsa.debian.org/debian/zsh.git -b debian
Vcs-Browser: https://salsa.debian.org/debian/zsh
Rules-Requires-Root: no

Package: zsh-common
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Replaces: zsh (<= 5.0.2-1)
Recommends: zsh
Suggests: zsh-doc
Multi-Arch: foreign
Description: architecture independent files for Zsh
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This package contains the common zsh files shared by all
 architectures.

Package: zsh
Architecture: any
Depends: zsh-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: ${shlibs:Recommends}
Suggests: zsh-doc
Description: shell with lots of features
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.

Package: zsh-doc
Architecture: all
Section: doc
Depends: zsh-common (= ${source:Version}),
         ${misc:Depends}
Description: zsh documentation - info/HTML format
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This contains the documentation in GNU info and HTML formats.

Package: zsh-static
Architecture: any
Depends: zsh,
         ${misc:Depends}
Suggests: zsh-doc
Built-Using: ${Built-Using}
Description: shell with lots of features (static link)
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This is the statically-compiled version of the shell.

Package: zsh-dev
Architecture: any
Depends: zsh-common (= ${source:Version}),
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Description: shell with lots of features (development files)
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This package contains headers and scripts necessary to compile
 third-party modules.
