=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 H_LDFLAGS = $(LDFLAGS)
 
@@ -90,12 +89,10 @@
 # Needs a freshly built (arch-dependent) zsh executable to compile .zwc files
 override_dh_auto_install-indep: build-dynamic
 	cd obj && $(MAKE) install.man DESTDIR=$(CURDIR)/debian/zsh-common
-	perl $(CURDIR)/Util/helpfiles Doc/zshbuiltins.1 debian/zsh-common/usr/share/zsh/help
+	perl $(CURDIR)/Util/helpfiles obj/Doc/zshbuiltins.1 debian/zsh-common/usr/share/zsh/help
 
 	cd obj && $(MAKE) install.fns DESTDIR=$(CURDIR)/debian/zsh-common
 
-# move this to a non-root section; also drop it for cross-compiles
-ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	awk '/^#define FPATH_DIR/     { head=$$3;       gsub(/"/,"",head); };        \
              /^#define FPATH_SUBDIRS/ { $$1=""; $$2=""; gsub(/[" ]/,""); tail=$$0; } \
              END                      { printf "%s/%s\n", head, tail; };'            \
@@ -106,7 +103,6 @@
 		 zcompile -U -M $$i.zwc $$i/*~*.zwc(^/);                  \
 		 chmod 644 $$i.zwc;                                       \
 	     done'
-endif
 
 # Docs: Info + HTML
 	cd obj && $(MAKE) install.info install.html \
