=== debian/tests/control ===
Tests: run-testsuite
Depends: zsh, zsh-dev

Tests: adequate
Depends: @, adequate
