## zsh 5.8

=== debian/changelog ===
zsh (5.8-6) unstable; urgency=medium

  [ Daniel Shahaf ]
  * [d248a7ff] d/changelog: In 4.3.12-1, retroactively list #489646 as a
    duplicate of #620452.

  [ Axel Beckert ]
  * [78bd839c] Add a debian/.gitignore file to ignore build artefacts.
  * [79fc7a20] zsh-static: Drop lintian override
    package-contains-broken-symlink, no more needed.
  * [ec4b020b] Add lintian override for hardening-no-fortify-functions on
    gdbm.so, too.
  * [5d383282] Drop "-Wl,--as-needed" from $LDFLAGS. (No more needed
    according to lintian warning debian-rules-uses-as-needed-linker-flag.)
  * [a127f477] Disable blhc CI job for now. (too many and only false
    positives)
  * [12746f0a] Salsa CI: Allow reprotest to fail. (The FTBFS inside
    reprotest is locally not reproducible with "reprotest
    --variations=-kernel".)
  * [3141c8a5] Declare compliance with Debian Policy 4.5.1. (No other
    changes were needed.)
  * [033709c5] Also install the Zsh FAQ. (Closes: #961757)
    + Thanks Daniel Shahaf!
    + [82386525] Install text-only FAQ into zsh-doc, too, for now, despite
      it better fits into zsh-common. See #980903 against debhelper for
      details.

  [ Helmut Grohne ]
  * [d0a05770] Demote documentation dependencies to B-D-I.
    (Closes: #980895)

 -- Axel Beckert <abe@debian.org>  Sat, 06 Feb 2021 05:15:22 +0100

zsh (5.8-5) unstable; urgency=medium

  [ Axel Beckert ]
  * [75eb3334] Retroactively mention #928194 in 5.8-1 changelog entry.
  * [d4dedd99] Adapt to "col" having been moved from bsdmainutils to
    bsdextrautils. (Closes: #963420)
  * [71a1b8a4] Try to fix cross-installability of run-testsuite
    autopkgtest check.
  * [dc40a872] Add a minimal debian/salsa-ci.yml file.
  * [27586e0e] Bump debhelper compatibility level to 13.
  * [c2242d6d] Cherry-pick 754658af from upstream to fix "git stash drop"
    tab-completion.
  * [eda6cb4d] Update lintian overrides wrt. renamed lintian tags.

  [ Daniel Shahaf ]
  * [49dbae2c] Retroactively close #740587 in 5.2-test-1-1.
  * [e8d6bb61] Cherry-pick d128bc0b from upstream: 45731: _debsnap: New
    completion function (Closes: #960298)

 -- Axel Beckert <abe@debian.org>  Tue, 30 Jun 2020 17:42:41 +0200

zsh (5.8-4) unstable; urgency=medium

  [ Romain Porte ]
  * Add completion for dscverify. (Closes: #953389)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Mar 2020 16:12:25 +0100

zsh (5.8-3) unstable; urgency=medium

  [ Steve Langasek ]
  * [ca933173] Make autopkgtests cross-test-friendly
    + debian/tests/control: Declare dependency on adequate as native.
    + debian/tests/control: Let run-testsuite also depend on libpcre3.
    + Mark zsh-doc as "Multi-Arch: foreign".

  [ Axel Beckert ]
  * [ca933173] Merge changes from Ubuntu's 5.8-2ubuntu1 and 5.8-2ubuntu2,
    see above.
  * [7ca6cb3f] debian/tests/control: Replace libpcre3 with @builddeps@ to
    pull in all Recommends.

 -- Axel Beckert <abe@debian.org>  Sat, 22 Feb 2020 01:10:43 +0100

zsh (5.8-2) unstable; urgency=medium

  [ Daniel Shahaf ]
  * [dae9b602] Fix advice in comment: zprofile isn't sourced by non-login
    interactive shells.
  * [b43af98a] d/zshrc: Tighten regex.

 -- Axel Beckert <abe@debian.org>  Tue, 18 Feb 2020 01:33:26 +0100

zsh (5.8-1) unstable; urgency=medium

  * Switch to using the original upstream tar ball instead of generating a
    minimal upstream tar ball from upstream's git repository. Drop most
    generated files in the upstream tar ball during the clean target via
    debian/clean.
    + Create a pristine-tar branch in the packaging git repository.
    + Fixes lintian warning orig-tarball-missing-upstream-signature.
    + [c75569cf] debian/clean: Add some more files from the original
      upstream tar ball, but not in upstream git.
    + [d39a9ee3] debian/gbp.conf: Declare upstream-vcs-tag format.
    + [09ab1592] Drop the get-orig-source target, no more needed.
    + [2c079e6a] Get debian/source/options's extend-diff-ignore back in
      sync with debian/clean to avoid unnecessary warnings.
    + [62fa1223] Add a debian/rules convenience target to restore files
      from git which were removed in the clean target.
    + [1151b6d2] Update debian/pkg-zsh-workflow-new-upstream-release.md.

  * [77d203f,94c033d2,2794556a] Import new upstream release 5.8.
    + Fixes CVE-2019-20044: When unsetting the PRIVILEGED option, the
      shell sets its effective user and group IDs to match their
      respective real IDs. On some platforms (including Linux), when the
      RUID and EUID were both non-zero, it was possible to regain the
      shell's former privileges by e.g. assigning to the EUID or EGID
      parameter. (Closes: #951458)

  * [c7b64d0b] Apply changes from Ubuntu's zsh 5.7.1-1ubuntu2 package, but
    ignore all changes to debian/changelog and the Maintainer field.
    + This includes:
      - debian/zshrc: Enable completions by default, unless
        skip_global_compinit is set.
      - Support cross-compiling:
        + Adjust upstream autoconf cross-compile default fallbacks.
        + Skip zcompile when cross-compiling.
        + Add libelf-dev build-dependency.
        + Closes: #928194
    + [1424bad8] debian/zshrc: Enable completions only on Ubuntu and
      derivatives by default, so that the behaviour neither changes on
      Debian nor on Ubuntu nor on according derivatives.

  * [71ee4aef] Fix FTBFS if libncurses-dev provided the libncursesw5-dev
    build-dependency. Thanks to Daniel Shahaf for helping to figure out
    how to solve this issue properly.
  * [cd532ebb] Add libgdbm-dev as build-dependency to build the zsh gdbm
    module. Thanks to Daniel Shahaf and András Korn. (Closes: #951457)
  * [867b565c] Add lintian override for "zsh-dev:
    package-contains-no-arch-dependent-files" /usr/include/zsh/config.h
    _is_ architecture-dependent, just not a binary.
  * [303ea167] Retroactively list #924736 as fixed in previous upload.
  * [236a9317] Declare adequate autopkgtest to be superficial.

