=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: zsh
 Section: shells
 Priority: optional
-Build-Depends: bsdmainutils,
-               cm-super-minimal,
-               debhelper-compat (= 12),
+Build-Depends: bsdextrautils | bsdmainutils (<< 12~),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.2~),
-               ghostscript,
                groff,
                groff-base,
                libcap-dev [linux-any],
+               libelf-dev,
+               libgdbm-dev,
                libncursesw5-dev,
                libpcre3-dev,
+Build-Depends-Indep:
+               cm-super-minimal,
+               ghostscript,
                texinfo (>= 5~),
                texlive-fonts-recommended,
                texlive-latex-base,
@@ -21,7 +24,7 @@
            Axel Beckert <abe@debian.org>,
            Frank Terbeck <ft@bewatermyfriend.org>,
            Richard Hartmann <richih@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://www.zsh.org/
 Vcs-Git: https://salsa.debian.org/debian/zsh.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/zsh
@@ -66,6 +69,7 @@
 
 Package: zsh-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: zsh-common (= ${source:Version}),
          ${misc:Depends}
