=== debian/tests/control ===
Tests: run-testsuite
Depends: zsh, zsh-dev, libpcre3-dev, libcap-dev [linux-any], libelf-dev, libgdbm-dev, libncursesw5-dev

Tests: adequate
Depends: @, adequate:native
Restrictions: superficial
