## zsh 5.8.1

=== debian/changelog ===
zsh (5.8.1-1) unstable; urgency=high

  * [1a490c705,12eb3e53,a13f7a2b] Import new upstream security and bugfix
    release 5.8.1.
    + [c187154f,fdb8b0ce,bdc4d70a] Fixes CVE-2021-45444, a vulnerability
      in prompt expansion which could be exploited through e.g. VCS_Info
      to execute arbitrary shell commands without a user's knowledge.
    + [92d7d4dd] Refresh patches as needed. Drop cherry-picked patch with
      commit 754658af, included in upstream bugfix release.
  * [2556a97c] Drop debian/zsh-static.NEWS, zsh-static will stay. Thanks
    to those who gave feedback about our proposed zsh-static removal back
    in 2015, especially Vincent Bernat.
  * [0fbb22e7] Extend zsh-static package description to explain its use
    cases. Thanks to shirish शिरीष to make us aware of this deficency of
    the package description by asking the right questions (back in
    2015). :-)
  * [daf87c89] zsh-static: Drop dep. on zsh, recommend zsh-common instead.
  * [2f5cd2e1] Update lintian overrides wrt. to change tag formats.
  * [cf14eeb5] Add lintian override for bash-term-in-posix-shell. It's zsh
    code and it's guarded by a check if we're running zsh or not.
  * [ca06fcef] Add lintian overrides for bin-sbin-mismatch false positives.
  * [db8c6c1c] debian/zsh5: Add ${static} suffix also to alternative path
    in warning.
  * [dc50ace5] Update copyright years in debian/copyright. Thanks Lintian!
  * [e872908c] debian/copyright: Remove obsolete upstream URLs. (FTP + SF)
  * [60187dd3] debian/watch: Drop comment about FTP timeouts.
  * [34379187] Make paths in lintian overrides agnostic to upstream versions
  * [566bf8c1] Add lintian overrides for all occurrences of
    very-long-line-length-in-source-file. They're all false positives.
  * [32c07ee0] Update copyright years in debian/copyright. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Sat, 12 Feb 2022 23:00:09 +0100

zsh (5.8-10) unstable; urgency=medium

  * [130801d2,92b60e43] Fix segfaults in zsh-static after glibc upgrades
    by making sure nothing is loaded dynamically anymore. (Closes: #993843
    and fixes autopkgtest failures in not or too up to date chroots.)

 -- Axel Beckert <abe@debian.org>  Fri, 17 Sep 2021 15:48:52 +0200

zsh (5.8-9) unstable; urgency=medium

  * [b895ac67] Revert "Explicitly declare B-D-I on cm-super-minimal as
    arch:all to fix crossbuild issues".  While it fixes crossbuild issues
    on Salsa's CI and builds fine there in all steps and even passes
    test-build-all, it causes the arch:all build on the build daemons to
    not start due to "build dependency uninstallable". *sigh*

 -- Axel Beckert <abe@debian.org>  Thu, 16 Sep 2021 03:26:30 +0200

zsh (5.8-8) unstable; urgency=medium

  [ Axel Beckert ]
  * [3637af2b] Set runhelpdir at configure time; drop sed-based fixup at
    install time. (Closes: #993539)
  * [7f57499f] Add patch to set default pager to /usr/bin/pager instead of
    more. Drop according sed call from debian/rules which didn't catch
    .zwc files.
  * [741c837e] Reenable running build-time testsuite against zsh-static.
    (See discussion in #993843.)
  * [cd6dff21] Update lintian override for slightly modified
    pkg-not-in-package-test tag.
  * [b78df051] Retroactively mention Salsa MR!1 (upstream commit a8b0d399)
    in 5.7.1-test-3-1 debian/changelog entry.
  * [801f5e10] Explicitly declare B-D-I on cm-super-minimal as arch:all to
    fix crossbuild issues.
  * [8d37726d] Also let autopkgtest check zsh-static in a separate test
    run. Skip V07pcre.ztst there as --enable-pcre does require dynamic
    loading. Triggered by the discussion in #993843.

  [ Vincent Lefevre ]
  * [e178f191] Replace all occurrences of transitional package
    libncursesw5-dev with libncurses-dev.  Remove resulting
    duplicates. (Related to commit 71ee4aef.) Fixes FTBFS iff
    libncursesw5-dev was not installed. (Closes: #993861)

  [ Marco Trevisan (Treviño) ]
  * [fa46e8b0] debian/zshrc: Don't use grep to check if we're in Ubuntu.
    (Merges Salsa MR!2)

 -- Axel Beckert <abe@debian.org>  Wed, 15 Sep 2021 18:48:16 +0200

zsh (5.8-7) unstable; urgency=medium

  [ Axel Beckert ]
  * [8d275ba5] Add the new zsh-security mailing list as Security-Contact
    to debian/upstream/metadata.
  * [e868fe11] Install text-only FAQ into zsh-common. See #961757 + #980903.
    + Add Breaks and Replaces headers against zsh-doc to zsh-common.
    + Add a build-dependency on debhelper ≥ 13.4.
  * [96fbd8b2] Declare compliance with Debian Policy 4.6.0. (No other
    changes were needed.)
  * [06824140] Drop override_dh_strip-arch due to debug symbol migration
    being long complete.
  * [0f5af7a7] Run "wrap-and-sort -a".

  [ Daniel Shahaf ]
  * [9ddb0116] d/README.Debian: Mention vcs_info's patch series support
    for Debian package maintainers.

 -- Axel Beckert <abe@debian.org>  Wed, 25 Aug 2021 02:25:11 +0200
