=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: shells
 Priority: optional
 Build-Depends: bsdextrautils | bsdmainutils (<< 12~),
+               debhelper (>= 13.4),
                debhelper-compat (= 13),
                dpkg-dev (>= 1.16.2~),
                groff,
@@ -9,22 +10,21 @@
                libcap-dev [linux-any],
                libelf-dev,
                libgdbm-dev,
-               libncursesw5-dev,
-               libpcre3-dev,
-Build-Depends-Indep:
-               cm-super-minimal,
-               ghostscript,
-               texinfo (>= 5~),
-               texlive-fonts-recommended,
-               texlive-latex-base,
-               texlive-latex-recommended,
-               yodl (>= 3.08.01) | yodl (<< 3.08.00)
+               libncurses-dev,
+               libpcre3-dev
+Build-Depends-Indep: cm-super-minimal,
+                     ghostscript,
+                     texinfo (>= 5~),
+                     texlive-fonts-recommended,
+                     texlive-latex-base,
+                     texlive-latex-recommended,
+                     yodl (>= 3.08.01) | yodl (<< 3.08.00)
 Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: Michael Prokop <mika@debian.org>,
            Axel Beckert <abe@debian.org>,
            Frank Terbeck <ft@bewatermyfriend.org>,
            Richard Hartmann <richih@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.zsh.org/
 Vcs-Git: https://salsa.debian.org/debian/zsh.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/zsh
@@ -34,7 +34,9 @@
 Architecture: all
 Depends: ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: zsh (<= 5.0.2-1)
+Replaces: zsh (<= 5.0.2-1),
+          zsh-doc (<= 5.8-7~)
+Breaks: zsh-doc (<= 5.8-7~)
 Recommends: zsh
 Suggests: zsh-doc
 Multi-Arch: foreign
@@ -86,8 +88,8 @@
 
 Package: zsh-static
 Architecture: any
-Depends: zsh,
-         ${misc:Depends}
+Depends: ${misc:Depends}
+Recommends: zsh-common
 Suggests: zsh-doc
 Built-Using: ${Built-Using}
 Description: shell with lots of features (static link)
@@ -99,7 +101,15 @@
  shell functions (with autoloading), a history mechanism, and a
  host of other features.
  .
- This is the statically-compiled version of the shell.
+ This is the statically-compiled version of the shell, i.e. it doesn't
+ require any dynamically loaded libraries to be present and will work
+ even if libraries zsh (in general) needs are broken on the system. So
+ it's more robust in case of a broken system.
+ .
+ It though also has a few limitations compared to the normal,
+ dynamically linked, e.g. it can't use NSS related functionality which
+ might result in minor imperfections like e.g. user names being shown
+ in the prompt.
 
 Package: zsh-dev
 Architecture: any
