=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 H_LDFLAGS = $(LDFLAGS)
 
@@ -16,7 +17,7 @@
 CONFIGFLAGS =  --prefix=/usr
 CONFIGFLAGS += --mandir=/usr/share/man
 CONFIGFLAGS += --bindir=/bin
-CONFIGFLAGS += LDFLAGS="-Wl,--as-needed -g $(H_LDFLAGS)"
+CONFIGFLAGS += LDFLAGS="-g $(H_LDFLAGS)"
 
 CONFIGFLAGS += --infodir=/usr/share/info
 CONFIGFLAGS += --enable-maildir-support
@@ -25,6 +26,7 @@
 CONFIGFLAGS += --enable-function-subdirs
 CONFIGFLAGS += --enable-site-fndir=/usr/local/share/zsh/site-functions
 CONFIGFLAGS += --enable-fndir=/usr/share/zsh/functions
+CONFIGFLAGS += --enable-runhelpdir=/usr/share/zsh/help
 CONFIGFLAGS += --with-tcsetpgrp
 CONFIGFLAGS += --with-term-lib="ncursesw tinfo"
 CONFIGFLAGS += --enable-cap --enable-pcre
@@ -45,7 +47,11 @@
 CONFIGFLAGS += --enable-zsh-hash-debug
 endif
 
-BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libcap-dev libncursesw5-dev libpcre3-dev libc-dev-bin)
+# We first need to check if the package is installed, otherwise the
+# resulting syntax might be invalid. Needed for packages which are
+# also provided by other packages like libncurses-dev and
+# libncursesw5-dev which both fulfil the according build-dependency.
+BUILT_USING=$(shell for pkg in libcap-dev libncurses-dev libpcre3-dev libc-dev-bin; do dpkg-query -f '$${status}' -W $$pkg 2>&1 | grep -Fq installed && dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $$pkg; done)
 
 %:
 	dh $@
@@ -58,12 +64,13 @@
 
 override_dh_auto_build-indep:
 	dh_auto_build -B obj -- pdf
+	dh_auto_build -B obj/Etc # FAQ
 
 override_dh_auto_test-arch:
 	if dpkg-architecture -qDEB_BUILD_ARCH_OS | grep -qv hurd; then \
 		HOME="$(CURDIR)/obj/testhome" ZTST_verbose=1 dh_auto_test -B obj; \
 	fi
-	#HOME="$(CURDIR)/obj-static/testhome" ZTST_verbose=1 dh_auto_test -B obj-static || true
+	HOME="$(CURDIR)/obj-static/testhome" ZTST_verbose=1 dh_auto_test -B obj-static || true
 
 override_dh_auto_test-indep:
 
@@ -93,6 +100,8 @@
 
 	cd obj && $(MAKE) install.fns DESTDIR=$(CURDIR)/debian/zsh-common
 
+# move this to a non-root section; also drop it for cross-compiles
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	awk '/^#define FPATH_DIR/     { head=$$3;       gsub(/"/,"",head); };        \
              /^#define FPATH_SUBDIRS/ { $$1=""; $$2=""; gsub(/[" ]/,""); tail=$$0; } \
              END                      { printf "%s/%s\n", head, tail; };'            \
@@ -103,6 +112,7 @@
 		 zcompile -U -M $$i.zwc $$i/*~*.zwc(^/);                  \
 		 chmod 644 $$i.zwc;                                       \
 	     done'
+endif
 
 # Docs: Info + HTML
 	cd obj && $(MAKE) install.info install.html \
@@ -122,8 +132,6 @@
 	dh_install -i
 
 # Doesn't this need to go before we zcompile stuff into .zwc files? -- Axel
-	sed -i -e 's,^local HELPDIR=.*,local HELPDIR=$${HELPDIR:-/usr/share/zsh/help},; s,:-more,:-/usr/bin/pager,;' \
-		debian/zsh-common/usr/share/zsh/functions/Misc/run-help
 	sed -i -e '1!b;s:^#!.*[ /]zsh:#!/bin/zsh:;s#/usr/local/bin#/usr/bin#;' \
 		`find debian/zsh-common/usr/share/zsh/functions -type f`
 
@@ -134,10 +142,6 @@
 	cd obj && $(MAKE) install.bin install.modules \
 	    DESTDIR=$(CURDIR)/debian/zsh INSTALL_PROGRAM='$(INSTALL_PROGRAM)'
 	rm debian/zsh/bin/zsh-5.[0-9]*
-
-override_dh_strip-arch:
-	dh_strip -pzsh --dbgsym-migration=zsh-dbg
-	dh_strip -pzsh-static
 
 override_dh_shlibdeps-arch:
 	dh_shlibdeps -pzsh -- \
@@ -163,9 +167,7 @@
 override_dh_gencontrol-arch:
 	dh_gencontrol -a -- -VBuilt-Using="$(BUILT_USING)"
 
-get-orig-source: version=$(shell git describe --tags --match='zsh-*' upstream | sed -e 's/^zsh-//')
-get-orig-source:
-	git archive --format=tar --output=../zsh_$(version).orig.tar --prefix=zsh-$(version)/ zsh-$(version)
-	xz -7v ../zsh_$(version).orig.tar
+restore-cleaned-files:
+	git status --porcelain | egrep '^ D ' | cut -c4- | xargs --no-run-if-empty git checkout
 
-.PHONY: get-orig-source
+.PHONY: restore-cleaned-files
