=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: zsh
 Section: shells
 Priority: optional
-Build-Depends: bsdextrautils | bsdmainutils (<< 12~),
+Build-Depends: bsdextrautils,
                debhelper (>= 13.4),
                debhelper-compat (= 13),
                dpkg-dev (>= 1.16.2~),
@@ -24,7 +24,7 @@
            Axel Beckert <abe@debian.org>,
            Frank Terbeck <ft@bewatermyfriend.org>,
            Richard Hartmann <richih@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.zsh.org/
 Vcs-Git: https://salsa.debian.org/debian/zsh.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/zsh
@@ -56,7 +56,8 @@
 Architecture: any
 Depends: zsh-common (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         debianutils (>= 5.3-1~)
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: ${shlibs:Recommends}
 Suggests: zsh-doc
@@ -88,7 +89,8 @@
 
 Package: zsh-static
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         debianutils (>= 5.3-1~)
 Recommends: zsh-common
 Suggests: zsh-doc
 Built-Using: ${Built-Using}
